<transition name="modal" @enter="enter" @leave="leave">
    <div class="modal" @click="closeModal">
        <div ref="overlay" class="modal__overlay"></div>
        <icon-button ref="close" icon-name="close" class="modal__close"/>
        <div ref="modal" class="modal__content" @click.stop>
            <div class="modal__header">
                <slot name="header" />
            </div>
            <slot />
        </div>
    </div>
</transition>
